Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.bcel.classfile
Class ConstantLong

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.Constant
          org.apache.tomcat.util.bcel.classfile.ConstantLong

All Implemented Interfaces:
  Serializable, Cloneable

    public final class ConstantLong

extends Constant

This class is derived from the abstract Constant class and represents a reference to a long object.

Version:
  $Id: ConstantLong.java 1181135 2011-10-10 18:51:44Z markt $
Author:
  M. Dahm
See Also:
  `Constant`, Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.Constant
`tag`

Constructor Summary
`ConstantLong(long bytes)`

Method Summary
`void` | `dump(DataOutputStream file)` Dump constant long to file stream in binary format.
`long` | `getBytes()`
`String` | `toString()`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.Constant
`clone, equals, getTag, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstantLong

    public ConstantLong(long bytes)

Parameters:
  `bytes` - Data

Method Detail

### dump

    public final void dump(DataOutputStream file)
                    throws IOException

  Dump constant long to file stream in binary format.

  Specified by:
    `dump` in class `Constant`
  Parameters:
    `file` - Output file stream
  Throws:
    `IOException`

### getBytes

    public final long getBytes()

  Returns:
    data, i.e., 8 bytes.

### toString

    public final String toString()

  Overrides:
    `toString` in class `Constant`
  Returns:
    String representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.